| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MatchedStatus Struct Reference

A structure storing a matching status. More...

`#include <MatchedStatus.hpp>`

Inheritance diagram for MatchedStatus:
[legend]

## Public Member Functions

| MatchedStatus ()=default
| Constructor.
| ~MatchedStatus ()=default
| Destructor.

## Public Attributes

int32_t | total_count = 0
| Total cumulative count the concerned reader discovered a match with a writer.
int32_t | total_count_change = 0
| The change in total_count since the last time the listener was called or the status was read.
int32_t | current_count = 0
| The number of writers currently matched to the concerned reader.
int32_t | current_count_change = 0
| The change in current_count since the last time the listener was called or the status was read.

## Detailed Description

A structure storing a matching status.

## Constructor & Destructor Documentation

## ◆ MatchedStatus()

MatchedStatus | ( |  | ) |

default

Constructor.

## ◆ ~MatchedStatus()

~MatchedStatus | ( |  | ) |

default

Destructor.

## Member Data Documentation

## ◆ current_count

int32_t current_count = 0

The number of writers currently matched to the concerned reader.

## ◆ current_count_change

int32_t current_count_change = 0

The change in current_count since the last time the listener was called or the status was read.

## ◆ total_count

int32_t total_count = 0

Total cumulative count the concerned reader discovered a match with a writer.

It found a writer for the same topic with a requested QoS that is compatible with that offered by the reader

## ◆ total_count_change

int32_t total_count_change = 0

The change in total_count since the last time the listener was called or the status was read.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/core/status/MatchedStatus.hpp